# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""Fix formatting issues in notification templates

Revision ID: 416734492102
Revises: 560c59b64cfe
Create Date: 2022-05-17 15:28:12.800145

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "416734492102"
down_revision = "560c59b64cfe"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
    update notification_templates
    set template = regexp_replace(template, '\n[ \t]+', E'\n', 'g')
    where template ~ '\n[ \t]+'
    """
    )


def downgrade():
    pass
